[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Possible exclusions for Beta 3



I have taken a look at the 1st binary CD for i386 and think we can kick 
some packages (mostly udebs) off it.

At the bottom of the mail a suggested patch with changes of which I'm 
fairly sure. Your comments appreciated.


Kernel images
=============
The CD currently contains both 2.6.15 and 2.6.16 kernel images.
I'd suggest excluding the 2.6.15 linux-image packages for all arches in 
tasks/exclude-etch.

Console keymaps
===============
At the moment kbd-chooser and some console-keymaps are excluded in 
exclude-udebs-{i386,amd64,powerpc}. This leaves the following on the CD:
console-keymaps-sun_20060609_all.udeb
console-keymaps-mac_20060609_all.udeb
console-keymaps-dec_20060609_all.udeb
console-keymaps-atari_20060609_all.udeb
console-keymaps-amiga_20060609_all.udeb
console-keymaps-acorn_20060609_all.udeb

Wouldn't it make sense to just exclude console-keymaps-* for these arches?
Is there any arch where kbd-chooser or console-keymaps are loaded from CD 
(i.e. shouldn't they just be generally excluded)?

Confused by binNMU?
===================
I noticed that the following udeb was included despite the fact that 
'cdebconf-udeb' is included in exclude-udebs:
cdebconf-udeb_0.104+b1_i386.udeb

Is debian-cd confused by the "+" in the filename or is the udeb somehow 
pulled in as a dependency?


PROPOSED CHANGES FOR exclude-udebs
==================================
--- exclude-udebs       (revision 1084)
+++ exclude-udebs       (working copy)
@@ -54,16 +54,18 @@
 cdebconf-gtk-udeb
 fontconfig-udeb
 libatk1.0-udeb
-libdirectfb-0.9-19-udeb
+libcairo2-directfb-udeb
+libcairo-directfb2-udeb
+libdirectfb-0.9-22-udeb
+libdirectfb-0.9-24-udeb
+libdirectfb-0.9-25-udeb
 libexpat1-udeb
 libfreetype6-udeb
 libglib2.0-udeb
 libgtk+2.0-directfb0-udeb
 libpango1.0-udeb
 libpng12-0-udeb
-ttf-freefont-udeb
-ttf-cjk-compact-udeb
-libdirectfb-0.9-22-udeb
+ttf-*
 fbset-udeb
 # This udeb is not in good shape and is largely supersceded by
 # cdebconf-newt-udeb
@@ -110,8 +112,14 @@
 rescue-check
 rootskel-gtk
 cdebconf-text-udeb
+brltty-udeb
+klibc-utils-udeb
+libklibc-udeb
+env-preseed
+udev-udeb
 # Obsolete
-hw-detect-full
+libslang1-utf8-udeb
 # Eh?
 gnumach-udeb
 # Exclude apt-setup components; they will be included

Attachment: pgpVxxJN4rTRF.pgp
Description: PGP signature


Reply to: